!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF DEFINED ( _DLL )

   !DEC$ OBJCOMMENT LIB: "cxmldll.lib"
   MODULE cxml_dll_use

!DEC$ ELSE

   !DEC$ OBJCOMMENT LIB: "cxml.lib"
   MODULE cxml_static_use

!DEC$ ENDIF

      USE cxml_dss
      USE gen_sort_interface
      INCLUDE 'blas_include.f90'
      INCLUDE 'lapack_include.f90'
      INCLUDE 'random_include.f90'
      INCLUDE 'sig_include.f90'
      INCLUDE 'sort_include.f90'
      INCLUDE 'sparse_include.f90'
      INCLUDE 'vlib_include.f90'

   END MODULE
